%define upstream_name    B-Flags
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Friendlier flags for B
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
By default, '$foo->flags' when passed an object in the 'B' class will
produce a relatively meaningless number, which one would need to grovel
through the Perl source code in order to do anything useful with. This
module adds 'flagspv' to the SV and op classes and 'privatepv' to the op
classes, which makes them easier to understand.

*Warning*: This module is not _guaranteed_ compatible with any version of
Perl below 5.7.0; however, I'd like to make it so compatible, so if it
fails to compile, mail me. There's probably an '#ifdef' I need to add
somewhere...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-3.mga3
+ Revision: 363293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-2.mga3
+ Revision: 250291
- rebuild for perl 5.16

* Mon May 28 2012 kharec <kharec> 0.60.0-1.mga3
+ Revision: 248067
- update to 0.06

* Fri Dec 16 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 182468
- update to 0.05

* Mon Nov 07 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 165104
- imported package perl-B-Flags

